// British Light Infantry by MadDogX (MDX)
// LukeAQ@web.de
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot			0
#define WeaponSlotPrimary		1
#define WeaponSlotSecondary		16
#define WeaponSlotItem			256
#define WeaponSlotBinocular		4096
#define WeaponHardMounted		65536

class CfgPatches
{
// Soldiers
	class MDXBLISoldier
	{
		units[] = {MDXBLISoldier};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBLIATSoldier
	{
		units[] = {MDXBLIATSoldier};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBLISoldierMed
	{
		units[] = {MDXBLISoldierMed};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBLISoldierLAW
	{
		units[] = {MDXBLISoldierLAW};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBLISniper
	{
		units[] = {MDXBLISniper};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBLIOfficer
	{
		units[] = {MDXBLIOfficer};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MDXBLIMGunner
	{
		units[] = {MDXBLIMGunner};
		weapons[] = {};
		requiredVersion = 1.01;
	};

// Weapons
	class MDXAIMagnum
	{
		units[] = {};
		weapons[] = {MDXAIMagnum};
		requiredVersion = 1.01;
	};
	class MDXSA80
	{
		units[] = {};
		weapons[] = {MDXSA80};
		requiredVersion = 1.01;
	};
	class MDXGPMG
	{
		units[] = {};
		weapons[] = {MDXGPMG};
		requiredVersion = 1.01;
	};
};

class CfgAmmo
{
	
	class default {};
	class BulletSingle:default {};
	class MDXAIMagnummag:BulletSingle
	{
		hit=40;
   		indirectHit=30;
   		indirectHitRange=0.100000;
   		cost=6;
		explosive=0;
	};
	class MDXSA80mag:BulletSingle
	{
		hit=10;
   		indirectHit=3;
   		indirectHitRange=0.20000;
   		cost=6;
		explosive=0;
	};
	class MDXGPMGmagL:BulletSingle
	{
		hit=14;
   		indirectHit=6;
   		indirectHitRange=0.20000;
   		cost=6;
		explosive=0;
	};
	class MDXGPMGmagH:BulletSingle
	{
		hit=40;
   		indirectHit=20;
   		indirectHitRange=0.30000;
   		cost=6;
		explosive=0;
	};

};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWSniper:SoldierWB{};
	class OfficerW:SoldierWB {};
	class SoldierWLAW:SoldierWB {};
	class SoldierWMG:SoldierWB {};
	class SoldierWMedic:SoldierWB {};
	class SoldierWAT:SoldierWLAW {};
	class MDXBLISniper:SoldierWSniper
	  {
		displayName="British LI Sniper";
		weapons[]={MDXAIMagnum,binocular};
		magazines[]={MDXAIMagnummag,MDXAIMagnummag,MDXAIMagnummag,MDXAIMagnummag,MDXAIMagnummag,MDXAIMagnummag};
		model="\MDXBritLightInf\soldiers\BLISoldier";
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritlightinf\soldiers\00000mc_vojakw2.pac","\mdxbritlightinf\soldiers\00000mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00002mc_vojakw2.pac","\mdxbritlightinf\soldiers\00002mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00003mc_vojakw2.pac","\mdxbritlightinf\soldiers\00003mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00004mc_vojakw2.pac","\mdxbritlightinf\soldiers\00004mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00005mc_vojakw2.pac","\mdxbritlightinf\soldiers\00005mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00006mc_vojakw2.pac","\mdxbritlightinf\soldiers\00006mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\bli_hrud_p.pac","\mdxbritlightinf\soldiers\bli_hrud_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_zada_z.pac","\mdxbritlightinf\soldiers\bli_zada_z_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_p.pac","\mdxbritlightinf\soldiers\bli_nohy_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_z.pac","\mdxbritlightinf\soldiers\bli_nohy_z_d.pac"};
	};
	class MDXBLISoldier:SoldierWB
	  {
		displayName="British LI Soldier";
		weapons[]={MDXSA80,throw,binocular};
		magazines[]={MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,HandGrenade,HandGrenade};
		model="\MDXBritLightInf\soldiers\BLISoldier";
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritlightinf\soldiers\00000mc_vojakw2.pac","\mdxbritlightinf\soldiers\00000mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00002mc_vojakw2.pac","\mdxbritlightinf\soldiers\00002mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00003mc_vojakw2.pac","\mdxbritlightinf\soldiers\00003mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00004mc_vojakw2.pac","\mdxbritlightinf\soldiers\00004mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00005mc_vojakw2.pac","\mdxbritlightinf\soldiers\00005mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00006mc_vojakw2.pac","\mdxbritlightinf\soldiers\00006mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\bli_hrud_p.pac","\mdxbritlightinf\soldiers\bli_hrud_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_zada_z.pac","\mdxbritlightinf\soldiers\bli_zada_z_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_p.pac","\mdxbritlightinf\soldiers\bli_nohy_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_z.pac","\mdxbritlightinf\soldiers\bli_nohy_z_d.pac"};
	};
	class MDXBLIATSoldier:SoldierWAT
	  {
		displayName="British LI AT Soldier";
		weapons[]={MDXSA80,CarlGustavLauncher};
		magazines[]={MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,CarlGustavLauncher};
		model="\MDXBritLightInf\soldiers\BLISoldier";
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritlightinf\soldiers\00000mc_vojakw2.pac","\mdxbritlightinf\soldiers\00000mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00002mc_vojakw2.pac","\mdxbritlightinf\soldiers\00002mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00003mc_vojakw2.pac","\mdxbritlightinf\soldiers\00003mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00004mc_vojakw2.pac","\mdxbritlightinf\soldiers\00004mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00005mc_vojakw2.pac","\mdxbritlightinf\soldiers\00005mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00006mc_vojakw2.pac","\mdxbritlightinf\soldiers\00006mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\bli_hrud_p.pac","\mdxbritlightinf\soldiers\bli_hrud_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_zada_z.pac","\mdxbritlightinf\soldiers\bli_zada_z_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_p.pac","\mdxbritlightinf\soldiers\bli_nohy_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_z.pac","\mdxbritlightinf\soldiers\bli_nohy_z_d.pac"};
	};
	class MDXBLISoldierMed:SoldierWMedic
	  {
		displayName="British LI Medic";
		weapons[]={MDXSA80,binocular};
		magazines[]={MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag};
		model="\MDXBritLightInf\soldiers\BLISoldier";
		attendant=true;
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritlightinf\soldiers\00000mc_vojakw2.pac","\mdxbritlightinf\soldiers\00000mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00002mc_vojakw2.pac","\mdxbritlightinf\soldiers\00002mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00003mc_vojakw2.pac","\mdxbritlightinf\soldiers\00003mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00004mc_vojakw2.pac","\mdxbritlightinf\soldiers\00004mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00005mc_vojakw2.pac","\mdxbritlightinf\soldiers\00005mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00006mc_vojakw2.pac","\mdxbritlightinf\soldiers\00006mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\bli_hrud_p.pac","\mdxbritlightinf\soldiers\bli_hrud_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_zada_z.pac","\mdxbritlightinf\soldiers\bli_zada_z_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_p.pac","\mdxbritlightinf\soldiers\bli_nohy_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_z.pac","\mdxbritlightinf\soldiers\bli_nohy_z_d.pac"};
	};
	class MDXBLISoldierLAW:SoldierWLAW
	  {
		displayName="British LI LAW Soldier";
		weapons[]={MDXSA80,LAWLauncher,binocular};
		magazines[]={MDXSA80mag,MDXSA80mag,MDXSA80mag,LAWLauncher,LAWLauncher,LAWLauncher};
		model="\MDXBritLightInf\soldiers\BLISoldier";
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritlightinf\soldiers\00000mc_vojakw2.pac","\mdxbritlightinf\soldiers\00000mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00002mc_vojakw2.pac","\mdxbritlightinf\soldiers\00002mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00003mc_vojakw2.pac","\mdxbritlightinf\soldiers\00003mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00004mc_vojakw2.pac","\mdxbritlightinf\soldiers\00004mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00005mc_vojakw2.pac","\mdxbritlightinf\soldiers\00005mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00006mc_vojakw2.pac","\mdxbritlightinf\soldiers\00006mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\bli_hrud_p.pac","\mdxbritlightinf\soldiers\bli_hrud_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_zada_z.pac","\mdxbritlightinf\soldiers\bli_zada_z_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_p.pac","\mdxbritlightinf\soldiers\bli_nohy_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_z.pac","\mdxbritlightinf\soldiers\bli_nohy_z_d.pac"};
	};
	class MDXBLIOfficer:OfficerW
	  {
		displayName="British LI Officer";
		weapons[]={MDXSA80,throw,Binocular};
		magazines[]={MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,HandGrenade,HandGrenade,HandGrenade};
		model="\MDXBritLightInf\soldiers\BLIOfficer";
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritlightinf\soldiers\00000mc_vojakw2.pac","\mdxbritlightinf\soldiers\00000mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00002mc_vojakw2.pac","\mdxbritlightinf\soldiers\00002mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00003mc_vojakw2.pac","\mdxbritlightinf\soldiers\00003mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00004mc_vojakw2.pac","\mdxbritlightinf\soldiers\00004mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00005mc_vojakw2.pac","\mdxbritlightinf\soldiers\00005mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00006mc_vojakw2.pac","\mdxbritlightinf\soldiers\00006mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\bli_hrud_p.pac","\mdxbritlightinf\soldiers\bli_hrud_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_zada_z.pac","\mdxbritlightinf\soldiers\bli_zada_z_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_p.pac","\mdxbritlightinf\soldiers\bli_nohy_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_z.pac","\mdxbritlightinf\soldiers\bli_nohy_z_d.pac"};
	};
	class MDXBLIMGunner:SoldierWMG
	  {
		displayName="British LI Soldier MG";
		weapons[]={MDXGPMG,Binocular};
		magazines[]={MDXGPMGmagL,MDXGPMGmagL,MDXGPMGmagL,MDXGPMGmagH,MDXGPMGmagH};
		model="\MDXBritLightInf\soldiers\BLISoldier";
wounds[]={"xicht_a.paa","xicht_a_zranen","xicht_b.paa","xicht_a_zranen","xicht_c.paa","xicht_a_zranen","xicht_d.paa","xicht_a_zranen","xicht_e.paa","xicht_e_zranen","xicht_f.paa","xicht_a_zranen","xicht_g.paa","xicht_a_zranen","xicht_h.paa","xicht_a_zranen","xicht_i.paa","xicht_a_zranen","xicht_j.paa","xicht_a_zranen","xicht_k.paa","xicht_a_zranen","xicht_l.paa","xicht_a_zranen","xicht_m.paa","xicht_a_zranen","xicht_n.paa","xicht_a_zranen","xicht_o.paa","xicht_o_zranen","xicht_p.paa","xicht_a_zranen","xicht_q.paa","xicht_a_zranen","xicht_r.paa","xicht_a_zranen","xicht_s.paa","xicht_a_zranen","xicht_t.paa","xicht_a_zranen","xicht_u.paa","xicht_a_zranen","xicht_v.paa","xicht_v_zranen","xicht_w.paa","xicht_w_zranen","xicht_x.paa","xicht_a_zranen","xicht_y.paa","xicht_a_zranen","xicht_z.paa","xicht_a_zranen","xicht_2a.paa","xicht_a_zranen","xicht_2b.paa","xicht_w_zranen","xicht_2c.paa","xicht_a_zranen","xicht_2d.paa","xicht_v_zranen","xicht_2e.paa","xicht_a_zranen","xicht_2f.paa","xicht_a_zranen","xicht_2g.paa","xicht_w_zranen","xicht_2h.paa","xicht_a_zranen","xicht_2i.paa","xicht_a_zranen","xicht_2j.paa","xicht_a_zranen","xicht_2k.paa","xicht_a_zranen","xicht_2l.paa","xicht_a_zranen","xicht_2m.paa","xicht_a_zranen","xicht_2n.paa","xicht_a_zranen","xicht_2o.paa","xicht_a_zranen","xicht_2p.paa","xicht_2p_zranen","xicht_2q.paa","xicht_a_zranen","xicht_2r.paa","xicht_e_zranen","xicht_2s.paa","xicht_a_zranen","xicht_2t.paa","xicht_a_zranen","xicht_2u.paa","xicht_a_zranen","xicht_2v.paa","xicht_a_zranen","xicht_2w.paa","xicht_w_zranen","xicht_2x.paa","xicht_a_zranen","xicht_2y.paa","xicht_a_zranen","xicht_2z.paa","xicht_a_zranen",
		"\mdxbritlightinf\soldiers\00000mc_vojakw2.pac","\mdxbritlightinf\soldiers\00000mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00002mc_vojakw2.pac","\mdxbritlightinf\soldiers\00002mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00003mc_vojakw2.pac","\mdxbritlightinf\soldiers\00003mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00004mc_vojakw2.pac","\mdxbritlightinf\soldiers\00004mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00005mc_vojakw2.pac","\mdxbritlightinf\soldiers\00005mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\00006mc_vojakw2.pac","\mdxbritlightinf\soldiers\00006mc_vojakw2.pac",
		"\mdxbritlightinf\soldiers\bli_hrud_p.pac","\mdxbritlightinf\soldiers\bli_hrud_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_zada_z.pac","\mdxbritlightinf\soldiers\bli_zada_z_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_p.pac","\mdxbritlightinf\soldiers\bli_nohy_p_d.pac",
		"\mdxbritlightinf\soldiers\bli_nohy_z.pac","\mdxbritlightinf\soldiers\bli_nohy_z_d.pac"};
	};
}
	
class CfgRecoils 
{
	 
    	MDXAIMagnumR[]={0.1,0.2,0.04,0.1,0,0}; 
     	MDXSA80R[]={0.1,0.1,0.01,0.1,0,0}; 
     	MDXGPMGR[]={0.1,0.15,0.03,0.1,0,0}; 
};

class CfgWeapons
{
	class default	{};
	class MGun:default {};
	class Riffle:MGun {};	
	class SniperRiffle:Riffle {};
	class MDXAIMagnummag:SniperRiffle 
	{
		scopeWeapon = private;
		scopeMagazine = public;		
		displayName = "Magnum Warfare";
		displayNameMagazine = "AI Magnum mag";
		shortNameMagazine = "AI Magnum mag";
		picture="\MDXBritLightInf\AIMagnum\AIWarfare.pac";
		sound[]={\MDXBritLightInf\AIMagnum\Magnum.wav,db-0,1};		
		ReloadMagazineSound[]={\MDXBritLightInf\AIMagnum\MagLoad.wav,db-0,1};		
		optics = true;
		modelOptics="\MDXBritLightInf\AIMagnum\Optics";
   	     	opticsZoomMin=0.005;
  	      	opticsZoomMax=0.05;
  	      	distanceZoomMin=0;
    	    	distanceZoomMax=0;
		ammo=MDXAIMagnummag;
		count=10;
		initSpeed=1500;
		flashsize=0;
		multiplier=1;
		division=1;
		burst=1;
		dispersion=0;
		maxLeadSpeed=400000000000000;			
		soundContinuous=false;
		reloadTime=0.7;
		magazineReloadTime=2.5;	
		recoil=MDXAIMagnumR;		
		autoFire = False;
		autoReload = false;
		aiRateOfFire=25.0;
		aiRateOfFireDistance=5000;
		threat[]={1,0.5,0.1};
		useAction = false;
		useActionTitle = "";		  
};
	class MDXSA80mag:Riffle 
	{
		scopeWeapon = private;
		scopeMagazine = public;		
		displayName = "SA80";
		displayNameMagazine = "SA80 mag";
		shortNameMagazine = "SA80 mag";
		picture="\MDXBritLightInf\SA80\SA80.pac";
		sound[]={\MDXBritLightInf\SA80\SA80.wav,db-0,1};		
		ReloadMagazineSound[]={\MDXBritLightInf\SA80\SALoad.wav,db-0,1};		
		optics = true;
		modelOptics=\MDXBritLightInf\SA80\SA80_optics.p3d;
   	     	opticsZoomMin=0.1;
  	      	opticsZoomMax=0.1;
  	      	distanceZoomMin=0;
    	    	distanceZoomMax=0;
		ammo=MDXSA80mag;
		count=30;
		initSpeed=930;
		flashsize=0;
		multiplier=1;
		division=1;
		burst=1;
		dispersion=0;
		maxLeadSpeed=400000000000000;			
		soundContinuous=false;
		reloadTime=0.1;
		magazineReloadTime=1.27;	
		recoil=MDXSA80R;		
		autoFire = True;
		autoReload = false;
		aiRateOfFire=5.0;
		aiRateOfFireDistance=5000;
		threat[]={1,0.5,0.1};
		useAction = false;
		useActionTitle = "";		  
};

	class MDXGPMGmagH:Riffle 
	{
		scopeWeapon = private;
		scopeMagazine = public;		
		displayName = "GPMG heavy roll";
		displayNameMagazine = "GPMG H  mag";
		shortNameMagazine = "GPMG H mag";
		picture="\MDXBritLightInf\GPMG\GPMG.pac";
		sound[]={\MDXBritLightInf\GPMG\GPMG.wav,db-0,1};		
		optics = true;
		modelOptics=\MDXBritLightInf\SA80\SA80_optics.p3d;
   	     	opticsZoomMin=0.15;
  	      	opticsZoomMax=0.15;
  	      	distanceZoomMin=0;
    	    	distanceZoomMax=0;
		ammo=MDXGPMGmagH;
		count=100;
		initSpeed=1000;
		flashsize=0;
		multiplier=1;
		division=1;
		burst=1;
		dispersion=0.001;
		maxLeadSpeed=400000000000000;			
		soundContinuous=false;
		reloadTime=0.2;
		magazineReloadTime=1.27;	
		recoil=MDXGPMGR;		
		autoFire = True;
		autoReload = false;
		aiRateOfFire=1.0;
		aiRateOfFireDistance=500;
		threat[]={0.5,1.0,0.1};
		useAction = false;
		useActionTitle = "";		  
};

	class MDXGPMGmagL:Riffle 
	{
		scopeWeapon = private;
		scopeMagazine = public;		
		displayName = "GPMG Light roll";
		displayNameMagazine = "GPMG L mag";
		shortNameMagazine = "GPMG L mag";
		picture="\MDXBritLightInf\GPMG\GPMG.pac";
		sound[]={\MDXBritLightInf\GPMG\GPMGL.wav,db-0,1};		
		optics = true;
		modelOptics=\MDXBritLightInf\SA80\SA80_optics.p3d;
   	     	opticsZoomMin=0.15;
  	      	opticsZoomMax=0.15;
  	      	distanceZoomMin=0;
    	    	distanceZoomMax=0;
		ammo=MDXGPMGmagL;
		count=200;
		initSpeed=1000;
		flashsize=0;
		multiplier=1;
		division=1;
		burst=1;
		dispersion=0.001;
		maxLeadSpeed=400000000000000;			
		soundContinuous=false;
		reloadTime=0.075;
		magazineReloadTime=1.27;	
		recoil=MDXGPMGR;		
		autoFire = True;
		autoReload = false;
		aiRateOfFire=0.4;
		aiRateOfFireDistance=500;
		threat[]={1,0.3,0.2};
		useAction = false;
		useActionTitle = "";		  
};
	
	class MDXAIMagnum
	{
	scopeWeapon = public;
		scopeMagazine = private;
		weaponType = WeaponSlotPrimary;
		displayName = "AI Magnum Warfare";
		model=\MDXBritLightInf\AIMagnum\AIMagnum.p3d
		picture=\MDXBritLightInf\AIMagnum\AIWarfare.pac;
		muzzles[] = {MDXAIMagnumMuzzle};

		class MDXAIMagnumMuzzle : MDXAIMagnummag
		{
			magazines[] = {MDXAIMagnummag};
		};

	};

	class MDXSA80
	{
	scopeWeapon = public;
		scopeMagazine = private;
		weaponType = WeaponSlotPrimary;
		displayName = "SA80";
		model=\MDXBritLightInf\SA80\SA80.p3d
		picture=\MDXBritLightInf\SA80\SA80.pac;
		muzzles[] = {MDXSA80Muzzle};

		class MDXSA80Muzzle : MDXSA80mag
		{
			magazines[] = {MDXSA80mag};
		};

	};

	class MDXGPMG
	{
	scopeWeapon = public;
		scopeMagazine = private;
		weaponType = WeaponSlotPrimary;
		displayName = "GPMG";
		model=\MDXBritLightInf\GPMG\GPMG.p3d
		picture=\MDXBritLightInf\GPMG\GPMG.pac;
		muzzles[] = {MDXGPMGMuzzleH,MDXGPMGMuzzleL};

		class MDXGPMGMuzzleH : MDXGPMGmagH
		{
			magazines[] = {MDXGPMGmagH};
		};
		class MDXGPMGMuzzleL : MDXGPMGmagL
		{
			magazines[] = {MDXGPMGmagL};
		};

	};

};

class CfgGroups
{
   class West
   {
	name="West";
	 class MDXBritLightInf
	{
	 name="MDX British light Infantry"
		
	  class MDXBLISquad
		{
             name="MDX BLI Squad ";
			
			class Unit0
			{
			name="1";
			side=1;
			vehicle="MDXBLIOfficer";
			rank="CAPTAIN";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=1;
			vehicle="MDXBLISoldier";
			rank="LIEUTNANT";
			position[]={2,-2,0};
			};
			class Unit2
			{
			name="3";
			side=1;
			vehicle="MDXBLIMGunner";
			rank="LIEUTNANT";
			position[]={-2,-2,0};
			};
			class Unit3
			{
			name="4";
			side=1;
			vehicle="MDXBLISoldier";
			rank="Corporal";
			position[]={4,-4,0};
			};
			class Unit4
			{
			name="5";
			side=1;
			vehicle="MDXBLISoldier";
			rank="Corporal";
			position[]={-4,-4,0};
			};
			class Unit5
			{
			name="6";
			side=1;
			vehicle="MDXBLISniper";
			rank="Corporal";
			position[]={6,-6,0};
			};
			class Unit6
			{
			name="7";
			side=1;
			vehicle="MDXBLISoldierMed";
			rank="Corporal";
			position[]={-6,-6,0};
			};
			class Unit7
			{
			name="8";
			side=1;
			vehicle="MDXBLIATSoldier";
			rank="Corporal";
			position[]={8,-8,0};
			};
			class Unit8
			{
			name="9";
			side=1;
			vehicle="MDXBLISoldierLAW";
			rank="Corporal";
			position[]={-8,-8,0};
			};

		};
	};
   };
};